id: wordpress-better-search-replace

info:
  name: Better Search Replace Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/better-search-replace/
  metadata:
    plugin_namespace: better-search-replace
    wpscan: https://wpscan.com/plugin/better-search-replace
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/better-search-replace/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/better-search-replace.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a0046304402201de1a418e51af2247f6192aca5416fd707c7678fefc040aff41c768162d294cc02205d83a22bd9ceb4090c617171602fda5014a7308d001113684e95a50c6d2fb1eb:922c64590222798bb761d5b6d8e72950